Page MenuHomePhabricator

Log email changes for all users
Closed, ResolvedPublic

Description

Right now we log sysop email changes in badpass (from a hook in wmf-config)

We should log this in core to the authentication channel and we should do it for all users

For example, in the event of compromise and attacker changes email, we want to know the old email so we can return account to original users, as well as the new email in the logs for ease of grepping

Event Timeline

Bawolff created this task.Nov 22 2016, 10:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 10:34 PM
dpatrick triaged this task as High priority.Dec 7 2016, 5:48 PM
jrbs added a subscriber: jrbs.Jul 6 2018, 11:58 PM
Reedy added subscribers: Anomie, Tgr, Reedy.

@Anomie or @Tgr any chance one of you could get a patch sorted for this ASAP?

Reedy updated the task description. (Show Details)
Reedy added a comment.Jul 10 2018, 6:31 PM

LGTM. Any reason we can't just push this one in public?

Fine by me. I only put it here because that's what we do for private Security tasks.

Reedy added a comment.Jul 10 2018, 7:00 PM

Yup, I know :)

Just thinking we might aswell make life easier all around by putting it into gerrit. It's not fixing a security bug particularly, but it is a form of hardening :)

Then we can backport/cherry pick to the branches and get it there too

Reedy closed this task as Resolved.Jul 11 2018, 12:13 PM
Reedy claimed this task.

All merged and backported. Thanks! :)

Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".Jul 11 2018, 12:14 PM